## ros-rolling-joint-state-broadcaster 2.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(joint_state_broadcaster)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra)
endif()

find_package(ament_cmake REQUIRED)
find_package(control_msgs REQUIRED)
find_package(controller_interface REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp_lifecycle REQUIRED)
find_package(rcutils REQUIRED)
find_package(sensor_msgs REQUIRED)

add_library(joint_state_broadcaster
  SHARED
  src/joint_state_broadcaster.cpp
)
target_include_directories(joint_state_broadcaster PRIVATE include)
ament_target_dependencies(joint_state_broadcaster
  builtin_interfaces
  control_msgs
  controller_interface
  pluginlib
  rclcpp_lifecycle
  rcutils
  sensor_msgs
)
# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(joint_state_broadcaster PRIVATE "JOINT_STATE_BROADCASTER_BUILDING_DLL")
pluginlib_export_plugin_description_file(controller_interface joint_state_plugin.xml)

install(
  DIRECTORY include/
  DESTINATION include
)

install(
  TARGETS
  joint_state_broadcaster
  RUNTIME DESTINATION bin
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
)

if(BUILD_TESTING)
  find_package(ament_cmake_gmock REQUIRED)
  find_package(controller_manager REQUIRED)
  find_package(hardware_interface REQUIRED)
  find_package(rclcpp REQUIRED)
  find_package(ros2_control_test_assets REQUIRED)

  ament_add_gmock(
    test_load_joint_state_broadcaster
    test/test_load_joint_state_broadcaster.cpp
  )
  target_include_directories(test_load_joint_state_broadcaster PRIVATE include)
  ament_target_dependencies(test_load_joint_state_broadcaster
    controller_manager
    hardware_interface
    ros2_control_test_assets
  )

  ament_add_gmock(
    test_joint_state_broadcaster
    test/test_joint_state_broadcaster.cpp
  )
  target_include_directories(test_joint_state_broadcaster PRIVATE include)
  target_link_libraries(test_joint_state_broadcaster
    joint_state_broadcaster
  )
endif()

ament_export_dependencies(
  control_msgs
  controller_interface
  rclcpp_lifecycle
  sensor_msgs
)
ament_export_include_directories(
  include
)
ament_export_libraries(
  joint_state_broadcaster
)
ament_package()

=== debian/changelog ===
ros-rolling-joint-state-broadcaster (2.0.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 01 Feb 2022 00:00:00 -0000

ros-rolling-joint-state-broadcaster (2.0.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 28 Jan 2022 00:00:00 -0000

ros-rolling-joint-state-broadcaster (1.3.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 11 Jan 2022 00:00:00 -0000

ros-rolling-joint-state-broadcaster (1.2.0-1focal) focal; urgency=high

  * [Joint State Broadcaster] Add mapping of custom states to standard values in "/joint_state" message (#217 <https://github.com/ros-controls/ros2_controllers/issues/217>)
  * [Joint State Broadcaster] Add option to support only specific interfaces on specific joints (#216 <https://github.com/ros-controls/ros2_controllers/issues/216>)
  * Contributors: Denis Štogl, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 29 Dec 2021 00:00:00 -0000

ros-rolling-joint-state-broadcaster (1.1.0-1focal) focal; urgency=high

  * Revise for-loop style (#254 <https://github.com/ros-controls/ros2_controllers/issues/254>)
  * Contributors: bailaC

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 24 Oct 2021 23:00:00 -0000

ros-rolling-joint-state-broadcaster (1.0.0-1focal) focal; urgency=high

  * Add time and period to update function (#241 <https://github.com/ros-controls/ros2_controllers/issues/241>)
  * Unify style of controllers. (#236 <https://github.com/ros-controls/ros2_controllers/issues/236>)
  * ros2_controllers code changes to support ros2_controls issue #489 <https://github.com/ros-controls/ros2_controllers/issues/489> (#233 <https://github.com/ros-controls/ros2_controllers/issues/233>)
  * Removing Boost from controllers. (#235 <https://github.com/ros-controls/ros2_controllers/issues/235>)
  * Contributors: Bence Magyar, Denis Štogl, bailaC

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 28 Sep 2021 23:00:00 -0000

ros-rolling-joint-state-broadcaster (0.5.0-1focal) focal; urgency=high

  * Add auto declaration of parameters. (#224 <https://github.com/ros-controls/ros2_controllers/issues/224>)
  * Bring precommit config up to speed with ros2_control (#227 <https://github.com/ros-controls/ros2_controllers/issues/227>)
  * [Joint State Broadcaster] Add option to publish joint states to local topics (#218 <https://github.com/ros-controls/ros2_controllers/issues/218>)
  * Add initial pre-commit setup. (#220 <https://github.com/ros-controls/ros2_controllers/issues/220>)
  * Reduce docs warnings and correct adding guidelines (#219 <https://github.com/ros-controls/ros2_controllers/issues/219>)
  * Contributors: Bence Magyar, Denis Štogl, Lovro Ivanov

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 29 Aug 2021 23:00:00 -0000

ros-rolling-joint-state-broadcaster (0.4.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 07 Jul 2021 23:00:00 -0000

ros-rolling-joint-state-broadcaster (0.4.0-1focal) focal; urgency=high

  * Force torque sensor broadcaster (#152 <https://github.com/ros-controls/ros2_controllers/issues/152>)
    * Add  rclcpp::shutdown(); to all standalone test functions
  * Contributors: Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 27 Jun 2021 23:00:00 -0000

ros-rolling-joint-state-broadcaster (0.3.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 22 May 2021 23:00:00 -0000

ros-rolling-joint-state-broadcaster (0.3.0-1focal) focal; urgency=high

  * Remove unused variable (#181 <https://github.com/ros-controls/ros2_controllers/issues/181>)
  * Add extra joints parameter at joint state broadcaster (#179 <https://github.com/ros-controls/ros2_controllers/issues/179>)
  * Contributors: Cesc Folch Aldehuelo, Karsten Knese

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 20 May 2021 23:00:00 -0000

ros-rolling-joint-state-broadcaster (0.2.1-1focal) focal; urgency=high

  * Migrate from deprecated controller_interface::return_type::SUCCESS -> OK (#167 <https://github.com/ros-controls/ros2_controllers/issues/167>)
  * Rename joint_state_controller -> joint_state_broadcaster (#160 <https://github.com/ros-controls/ros2_controllers/issues/160>)
    * Rename joint_state_controller -> _broadcaster
    * Update accompanying files (Ament, CMake, etc)
    * Update C++ from _controller to _broadcaster
    * Apply cpplint
    * Create stub controller to redirect to _broadcaster
    * Add test for loading old joint_state_controller
    * Add missing dependency on hardware_interface
    * Add link to documentation
    * Add joint_state_broadcaster to metapackage
    * Apply suggestions from code review
    Co-authored-by: Denis Štogl <mailto:destogl@users.noreply.github.com>
    * Update joint_state_broadcaster/joint_state_plugin.xml
    Co-authored-by: Denis Štogl <mailto:destogl@users.noreply.github.com>
    Co-authored-by: Bence Magyar <mailto:bence.magyar.robotics@gmail.com>
    Co-authored-by: Denis Štogl <mailto:destogl@users.noreply.github.com>
  * Contributors: Bence Magyar, Matt Reynolds
  * Migrate from deprecated controller_interface::return_type::SUCCESS -> OK (#167 <https://github.com/ros-controls/ros2_controllers/issues/167>)
  * Rename joint_state_controller -> joint_state_broadcaster (#160 <https://github.com/ros-controls/ros2_controllers/issues/160>)
    * Rename joint_state_controller -> _broadcaster
    * Update accompanying files (Ament, CMake, etc)
    * Update C++ from _controller to _broadcaster
    * Apply cpplint
    * Create stub controller to redirect to _broadcaster
    * Add test for loading old joint_state_controller
    * Add missing dependency on hardware_interface
    * Add link to documentation
    * Add joint_state_broadcaster to metapackage
    * Apply suggestions from code review
    Co-authored-by: Denis Štogl <mailto:destogl@users.noreply.github.com>


=== debian/control ===
Source: ros-rolling-joint-state-broadcaster
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gmock, ros-rolling-control-msgs, ros-rolling-controller-interface, ros-rolling-controller-manager, ros-rolling-hardware-interface, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-rclcpp-lifecycle, ros-rolling-rcutils, ros-rolling-ros2-control-test-assets, ros-rolling-sensor-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-joint-state-broadcaster
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-control-msgs, ros-rolling-controller-interface, ros-rolling-hardware-interface, ros-rolling-pluginlib, ros-rolling-rclcpp-lifecycle, ros-rolling-rcutils, ros-rolling-sensor-msgs, ros-rolling-ros-workspace
Description: Broadcaster to publish joint state

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-joint-state-broadcaster//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-joint-state-broadcaster 3.15.0

=== debian/changelog ===
ros-rolling-joint-state-broadcaster (3.15.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 10 Sep 2023 23:00:00 -0000

ros-rolling-joint-state-broadcaster (3.14.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 15 Aug 2023 23:00:00 -0000

ros-rolling-joint-state-broadcaster (3.13.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 03 Aug 2023 23:00:00 -0000

ros-rolling-joint-state-broadcaster (3.12.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 17 Jul 2023 23:00:00 -0000

ros-rolling-joint-state-broadcaster (3.11.0-1jammy) jammy; urgency=high

  * Added -Wconversion flag and fix warnings (#667 <https://github.com/ros-controls/ros2_controllers/issues/667>)
  * Contributors: gwalck

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 23 Jun 2023 23:00:00 -0000

ros-rolling-joint-state-broadcaster (3.10.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 05 Jun 2023 23:00:00 -0000

ros-rolling-joint-state-broadcaster (3.10.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 03 Jun 2023 23:00:00 -0000

ros-rolling-joint-state-broadcaster (3.9.0-1jammy) jammy; urgency=high

  * Use branch name substitution for all links (#618 <https://github.com/ros-controls/ros2_controllers/issues/618>)
  * [JTC] Fix deprecated header (#610 <https://github.com/ros-controls/ros2_controllers/issues/610>)
  * Fix github links on control.ros.org (#604 <https://github.com/ros-controls/ros2_controllers/issues/604>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 27 May 2023 23:00:00 -0000

ros-rolling-joint-state-broadcaster (3.8.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 13 May 2023 23:00:00 -0000

ros-rolling-joint-state-broadcaster (3.7.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 01 May 2023 23:00:00 -0000

ros-rolling-joint-state-broadcaster (3.6.0-1jammy) jammy; urgency=high

  * Renovate load controller tests (#569 <https://github.com/ros-controls/ros2_controllers/issues/569>)
  * Fix docs format (#589 <https://github.com/ros-controls/ros2_controllers/issues/589>)
  * Contributors: Bence Magyar, Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 28 Apr 2023 23:00:00 -0000

ros-rolling-joint-state-broadcaster (3.5.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 13 Apr 2023 23:00:00 -0000

ros-rolling-joint-state-broadcaster (3.4.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 01 Apr 2023 23:00:00 -0000

ros-rolling-joint-state-broadcaster (3.3.0-1jammy) jammy; urgency=high

  * Add comments about auto-generated header files (#539 <https://github.com/ros-controls/ros2_controllers/issues/539>)
  * Contributors: AndyZe

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 07 Mar 2023 00:00:00 -0000

ros-rolling-joint-state-broadcaster (3.2.0-1jammy) jammy; urgency=high

  * Fix overriding of install (#510 <https://github.com/ros-controls/ros2_controllers/issues/510>)
  * Contributors: Tyler Weaver, Chris Thrasher

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 10 Feb 2023 00:00:00 -0000

ros-rolling-joint-state-broadcaster (3.1.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 26 Jan 2023 00:00:00 -0000

ros-rolling-joint-state-broadcaster (3.0.0-1jammy) jammy; urgency=high

  * Add backward_ros to all controllers (#489 <https://github.com/ros-controls/ros2_controllers/issues/489>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 19 Jan 2023 00:00:00 -0000

ros-rolling-joint-state-broadcaster (2.15.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 06 Dec 2022 00:00:00 -0000

ros-rolling-joint-state-broadcaster (2.14.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 18 Nov 2022 00:00:00 -0000

ros-rolling-joint-state-broadcaster (2.13.0-1jammy) jammy; urgency=high

  * Generate parameters for Joint State Broadcaster (#401 <https://github.com/ros-controls/ros2_controllers/issues/401>)
  * Fix undeclared and wrong parameters in controllers. (#438 <https://github.com/ros-controls/ros2_controllers/issues/438>)
    * Add missing parameter declaration in the joint state broadcaster.
    * Fix unsensible test in IMU Sensor Broadcaster.
  * [JointStateBroadcaster] Reset internal variables to avoid duplication of joints (#431 <https://github.com/ros-controls/ros2_controllers/issues/431>)
  * Contributors: Denis Štogl, Gilmar Correia, Tyler Weaver, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 04 Oct 2022 23:00:00 -0000

ros-rolling-joint-state-broadcaster (2.12.0-1jammy) jammy; urgency=high

  * Fix formatting CI job (#418 <https://github.com/ros-controls/ros2_controllers/issues/418>)
  * Contributors: Tyler Weaver

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 31 Aug 2022 23:00:00 -0000

ros-rolling-joint-state-broadcaster (2.11.0-1jammy) jammy; urgency=high

  * Use explicit type in joint_state_broadcaster test (#403 <https://github.com/ros-controls/ros2_controllers/issues/403>)
    This use of auto is causing a static assert on RHEL. Explicitly
    specifying the type seems to resolve the failure and allow the test to
    be compiled.
  * Contributors: Scott K Logan

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 03 Aug 2022 23:00:00 -0000

ros-rolling-joint-state-broadcaster (2.10.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 31 Jul 2022 23:00:00 -0000

ros-rolling-joint-state-broadcaster (2.9.0-1jammy) jammy; urgency=high





=== debian/control ===
Source: ros-rolling-joint-state-broadcaster
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gmock <!nocheck>, ros-rolling-backward-ros, ros-rolling-builtin-interfaces, ros-rolling-control-msgs, ros-rolling-controller-interface, ros-rolling-controller-manager <!nocheck>, ros-rolling-generate-parameter-library, ros-rolling-hardware-interface <!nocheck>, ros-rolling-pluginlib, ros-rolling-rclcpp <!nocheck>, ros-rolling-rclcpp-lifecycle, ros-rolling-rcutils, ros-rolling-realtime-tools, ros-rolling-ros2-control-test-assets <!nocheck>, ros-rolling-sensor-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-joint-state-broadcaster
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-backward-ros, ros-rolling-builtin-interfaces, ros-rolling-control-msgs, ros-rolling-controller-interface, ros-rolling-generate-parameter-library, ros-rolling-pluginlib, ros-rolling-rclcpp-lifecycle, ros-rolling-rcutils, ros-rolling-realtime-tools, ros-rolling-sensor-msgs, ros-rolling-ros-workspace
Description: Broadcaster to publish joint state

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
